Home Information Classes Download Usage Mail List Requirements Links Tutorial

# RtAudioDeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

List of all members.

## Public Attributes

std::string | name
bool | probed
int | outputChannels
int | inputChannels
int | duplexChannels
bool | isDefault
std::vector< int > | sampleRates
RtAudioFormat | nativeFormats

## Detailed Description

The public device information structure for returning queried values.

Definition at line 99 of file RtAudio.h.

## Member Data Documentation

std::string RtAudioDeviceInfo::name

| Character string device identifier. Definition at line 100 of file RtAudio.h.

bool RtAudioDeviceInfo::probed

| true if the device capabilities were successfully probed. Definition at line 101 of file RtAudio.h.

int RtAudioDeviceInfo::outputChannels

| Maximum output channels supported by device. Definition at line 102 of file RtAudio.h.

int RtAudioDeviceInfo::inputChannels

| Maximum input channels supported by device. Definition at line 103 of file RtAudio.h.

int RtAudioDeviceInfo::duplexChannels

| Maximum simultaneous input/output channels supported by device. Definition at line 104 of file RtAudio.h.

bool RtAudioDeviceInfo::isDefault

| true if this is the default output or input device. Definition at line 105 of file RtAudio.h.

std::vector<int> RtAudioDeviceInfo::sampleRates

| Supported sample rates (queried from list of standard rates). Definition at line 106 of file RtAudio.h.

RtAudioFormat RtAudioDeviceInfo::nativeFormats

| Bit mask of supported data formats. Definition at line 107 of file RtAudio.h.

The documentation for this struct was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.